> This page is for Data API, version v1.
> For other versions, use one of these documentation indexes:
> - v2 (default): https://developers.webflow.com/data/v2.0.0/llms.txt
> - v2 Beta: https://developers.webflow.com/data/v2.0.0-beta/llms.txt
> - v1: https://developers.webflow.com/data/v1.0.0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.webflow.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.webflow.com/_mcp/server.

# Create Product & SKU

POST https://api.webflow.com/sites/{site_id}/products
Content-Type: application/json

Adding a new Product involves creating both a Product Item and a SKU Item, since a Product Item has to have, at minimum, a SKU Item.

To create a new Product with multiple SKUs, you must:

- Create the Product and Default SKU using this endpoint, making sure to add `sku-properties` in the product data.
- You can't add `sku-values` to the SKU yet, since there are no enum IDs created yet. When this endpoint returns, it will have IDs filled in for the `sku-properties` enums.
- With those IDs, update the default SKU with valid `sku-values` and create any additional SKUs (if needed), with valid `sku-values`.
- You can also create the Product without `sku-properties` and add them in later.
- If you add any `sku` properties, the default SKU will default to the first value of each option.

Upon creation, the default product type will be `Advanced`. The product type is used to determine which Product and SKU fields are shown to users in the `Designer` and the `Editor`. Setting it to `Advanced` ensures that all Product and SKU fields will be shown. The product type can be edited in the `Designer` or the `Editor`.


Reference: https://developers.webflow.com/data/v1.0.0/reference/ecommerce/products-sk-us/create-product

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `site_id` (string, required) — Unique identifier for a Site

### Headers

- `Accept-Version` (string, optional) — The API version

### Body (application/json)

This endpoint expects a ProductSKU.

- `product` (Product, optional) — The Product object
- `sku` (SKU, optional) — The SKU object

## Response

### 200

Request was successful

- `product` (Product, optional) — The Product object
- `sku` (SKU, optional) — The SKU object

## Errors

### 400 Bad Request Error

Request body was incorrectly formatted. Likely invalid JSON being sent up.

- `any`

### 401 Unauthorized Error

Provided access token is invalid or does not have access to requested resource

- `any`

### 404 Not Found Error

Requested resource not found

- `any`

### 429 Too Many Requests Error

The rate limit of the provided access_token has been reached. Please have your application respect the X-RateLimit-Remaining header we include on API responses.

- `any`

### 500 Internal Server Error

We had a problem with our server. Try again later.

- `any`

## Types

### Product

The Product object

- `_id` (string, required) — Unique identifier for collection
- `lastUpdated` (string, optional) — The date the collection was last updated
- `createdOn` (string, optional) — The date the collection was create
- `name` (string, optional) — Name given to Collection
- `slug` (string, optional) — Slug of Collection in Site URL structure
- `singularName` (string, optional) — The name of one Item in Collection (e.g. “product” if the Collection is called “Product”)
- `fields` (ProductField, optional) — Fields in your product object

### SKU

The SKU object

- `_id` (string, required) — Unique identifier for collection
- `name` (string, required) — Name given to Collection
- `slug` (string, required) — Slug of Collection in Site URL structure
- `fields` (SKUField, required) — Fields in your SKU object
- `lastUpdated` (string, optional) — The date the collection was last updated
- `createdOn` (string, optional) — The date the collection was create
- `singularName` (string, optional) — The name of one Item in Collection (e.g. “sku” if the Collection is called “SKU”)

### ProductField

Fields in your product object

- `slug` (string, required, default: product-name) — Slug of the item
- `name` (string, required, default: Product Name) — item name
- `_archived` (boolean, required, default: false) — item archive status
- `_draft` (boolean, required, default: false) — item draft status
- `id` (string, optional) — Unique identifier for the item
- `sku-properties` (list of SKUProperty, optional) — Variant/Options types to include in SKUs

### SKUField

Fields in your SKU object

- `slug` (string, required, default: post-body) — Slug of the SKU
- `_archived` (boolean, required, default: false) — item archive status
- `_draft` (boolean, required, default: false) — item draft status
- `price` (SkuFieldPrice, required) — price of SKU
- `id` (string, optional) — Unique identifier for the SKU
- `name` (string, optional, default: Cloak Of Invisibility Color: Obsidian Black) — SKU name

### SKUProperty

A variant/optiontype for a SKU

- `id` (string, optional) — Unique identifier for a collection of product options/variants
- `name` (string, optional) — Nme of the collection of product options/variants
- `enum` (list of SKUEnum, optional) — The individual options/varaiants that are contained within the collection

### SkuFieldPrice

price of SKU

- `value` (double, required, default: 2000) — Price of SKU
- `unit` (string, required, default: USD) — Currency of Item

### SKUEnum

Enumerated variant/option of a SKU

- `id` (string, optional) — Unique identifier for a product variant/option
- `name` (string, optional) — Name of the option/variant
- `slug` (string, optional) — slug of option/variant in Site URL structure

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "product": {
    "_id": "580e63fc8c9a982ac9b8b745",
    "name": "Cloak Of Invisibility",
    "slug": "cloak-of-invisibility-1",
    "shippable": true,
    "_archived": false,
    "_draft": false,
    "ec-product-type": "ff42fee0113744f693a764e3431a9cc2",
    "sku-properties": [
      {
        "id": "a37a7991f7ca1be0d349a805a2bddb5b",
        "name": "Color",
        "enum": [
          {
            "id": "a9506da8e70a8b087f35a4094ec34a53",
            "name": "Obsidian Black",
            "slug": "obsidian-black"
          },
          {
            "id": "c92a465a1298c95fd1cd7f4c1c96c2ba",
            "name": "Smoke Grey",
            "slug": "smoke-grey"
          },
          {
            "id": "ef9511c0b56cc11ff47c5669f65030b4",
            "name": "Forest Green",
            "slug": "forest-green"
          }
        ]
      }
    ],
    "description": "A cloak that renders the wearer invisible to the eye.",
    "default-sku": "5e8518536e147040726cc416"
  },
  "sku": {
    "_id": "5e8518536e147040726cc416",
    "name": "Cloak Of Invisibility Color: Obsidian Black",
    "slug": "cloak-of-invisibility-color-obsidian-black-7",
    "fields": {
      "slug": "post-body",
      "_archived": false,
      "_draft": false,
      "price": {
        "value": 2000,
        "unit": "USD"
      }
    },
    "price": {
      "unit": "USD",
      "value": 120000
    },
    "_archived": false,
    "_draft": false,
    "sku-values": {},
    "width": 56,
    "length": 0.3,
    "height": 72,
    "weight": 24,
    "main-image": {
      "fileId": "5e85161dabd9ea4072cf1414",
      "url": "https://dev-assets.website-files.com/5d93ba5e38c6b0160ab711d6/5e85161dabd9ea4072cf1414_5e8512181ae993035b15f315_external-content.duckduckgo.com.jpeg",
      "alt": null
    },
    "more-images": [
      {
        "fileId": "5e85161dabd9ea4072cf1414",
        "url": "https://dev-assets.website-files.com/5d93ba5e38c6b0160ab711d6/5e85161dabd9ea4072cf1414_5e8512181ae993035b15f315_external-content.duckduckgo.com.jpeg",
        "alt": null
      },
      {
        "fileId": "5e85161dabd9ea4072cf1414",
        "url": "https://dev-assets.website-files.com/5d93ba5e38c6b0160ab711d6/5e85161dabd9ea4072cf1414_5e8512181ae993035b15f315_external-content.duckduckgo.com.jpeg",
        "alt": null
      }
    ],
    "download-files": [
      {
        "id": "5ebb1676c3244c2c6ae18814",
        "name": "The modern web design process - Webflow Ebook.pdf",
        "url": "https://dropbox.com/files/modern-web-design-process.pdf"
      }
    ],
    "product": "5e8518516e147040726cc415",
    "updated-on": "2020-04-01T22:40:19.287Z",
    "updated-by": "Person_5d8fcb6d94dd1853060fb3b3",
    "created-on": "2020-04-01T22:40:19.287Z",
    "created-by": "Person_5d8fcb6d94dd1853060fb3b3",
    "published-on": null,
    "published-by": null,
    "_cid": "5dd44c493543b37d5449b383"
  }
}
```

**SDK Code**

```python Products & SKUs_create-product_example
import requests

url = "https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products"

payload = {}
headers = {
    "Accept-Version": "1.0.0",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Products & SKUs_create-product_example
const url = 'https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products';
const options = {
  method: 'POST',
  headers: {
    'Accept-Version': '1.0.0',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Products & SKUs_create-product_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Accept-Version", "1.0.0")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Products & SKUs_create-product_example
require 'uri'
require 'net/http'

url = URI("https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Accept-Version"] = '1.0.0'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Products & SKUs_create-product_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products")
  .header("Accept-Version", "1.0.0")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Products & SKUs_create-product_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products', [
  'body' => '{}',
  'headers' => [
    'Accept-Version' => '1.0.0',
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Products & SKUs_create-product_example
using RestSharp;

var client = new RestClient("https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products");
var request = new RestRequest(Method.POST);
request.AddHeader("Accept-Version", "1.0.0");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Products & SKUs_create-product_example
import Foundation

let headers = [
  "Accept-Version": "1.0.0",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/products")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```